Subject: Re: Git User's Survey 2008 partial summary

From: Jan Hudec <[email-masked]>
Date: Sat, 6 Sep 2008 00:17:31 +0200

On Wed, Sep 03, 2008 at 19:43:20 -0700, David Aguilar wrote:
> On Wed, Sep 3, 2008 at 9:25 AM, Felipe Contreras
> <[email-masked]> wrote:
> > On Wed, Sep 3, 2008 at 6:20 PM, H.Merijn Brand <[email-masked]> wrote:
> >> On Wed, 3 Sep 2008 07:45:52 -0700, "Shawn O. Pearce"
> >> <[email-masked]> wrote:
> >>
> >>> Jakub Narebski <[email-masked]> wrote:
> >>> > This is partial summary of Git User's Survey 2008 [...]
> >>> >
> >>> > 03. With which programming languages are you proficient?
> >>> >
> >>> > Around 939 people answered this question.  C is most popular with 59%;
> >>> > Ruby and surprisingly a bit shell script programming have around second
> >>> > place, with about 52-53%.  More people are proficient with Python than
> >>> > in Perl by about 1/3-1/4.  Very few people (25 responses, around 3%)
> >>> > feel proficient in Tcl/Tk, which means shallow pool of possible git-gui
> >>> > and gitk contributors.
> >>
> >> Rewrite them in perl or python and get more patches?
> >> The fact that it is not perl withheld me from finding solutions to
> >> problems I still have with the git-gui gitk combination
> >
> > Ruby!
> >
> > --
> > Felipe Contreras
> 
> There's already a python git-gui:
>     http://cola.tuxfamily.org/
> 
> PyQt is a very mature library, which is one of the primary reasons I
> chose Python.

Sorry, but I disagree. Tried PyQt, been hugely disapointed. Boils down to any
thing that can make Python (or, for that matter, any) interpreter segfault
being totally broken.

But as far as Qt goes, I would really just stick with C++. Python or Ruby
have some advantage, but I am not sure it's that big to offset the fact, that
a lot of code already exists in QGit.

> Does Ruby have any good and mature UI libraries?  I know it's all the
> rage for web stuff, but I haven't heard too much about people using it
> for GUIs.

Qt? I believe Ruby Qt bindings are in better shape (properly handle Qt
deleting objects under Ruby's hands).

-- 
						 Jan 'Bulb' Hudec <[email-masked]>